XMPP, Server does not use any supported authentication method

Alexander Ustinov ustinov at physics.spbstu.ru
Thu Sep 1 13:57:05 EDT 2011


 > The server is offering SASL PLAIN, which we should support.  Make sure
 > that the libsasl2-modules package is installed.
 >
 > Ethan


It is installed... Possibly distribution-related issue?

Alexander


> root at blaster:/home/ustinov# dpkg -l libsasl*
> ii  libsasl2-2                   2.1.24~rc1.dfsg1+cvs2011-05- Cyrus 
> SASL - authentication abstraction library
> ii  libsasl2-dev                 2.1.24~rc1.dfsg1+cvs2011-05- Cyrus 
> SASL - development files for authentication abstraction library
> ii  libsasl2-modules             2.1.24~rc1.dfsg1+cvs2011-05- Cyrus 
> SASL - pluggable authentication modules
> ii  libsasl2-modules-gssapi-heim 2.1.24~rc1.dfsg1+cvs2011-05- 
> Pluggable Authentication Modules for SASL (GSSAPI)
> ii  libsasl2-modules-ldap        2.1.24~rc1.dfsg1+cvs2011-05- Cyrus 
> SASL - pluggable authentication modules (LDAP)
> ii  libsasl2-modules-otp         2.1.24~rc1.dfsg1+cvs2011-05- Cyrus 
> SASL - pluggable authentication modules (OTP)
> ii  libsasl2-modules-sql         2.1.24~rc1.dfsg1+cvs2011-05- Cyrus 
> SASL - pluggable authentication modules (SQL)



More information about the Support mailing list